%define gettext_package metacity

%define metacity_version 2.16.0

%define metacity_filename metacity-%{metacity_version}

Summary: Metacity window manager
Name: metacity
Version: %{metacity_version}
Release: 12%{?dist}.1
URL: http://ftp.gnome.org/pub/gnome/sources/metacity/
Source0: %{metacity_filename}.tar.bz2
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: pango-devel >= 1.2.0
BuildRequires: fontconfig-devel
BuildRequires: GConf2-devel >= 2.2.0
BuildRequires: desktop-file-utils >= 0.3
BuildRequires: libglade2-devel >= 2.0.0BuildRequires: intltool >= 0.35
BuildRequires: startup-notification-devel >= 0.7
BuildRequires: libtool automake autoconf gettext
BuildRequires: xorg-x11-proto-devel >= 7.0-13
BuildRequires: libSM-devel, libICE-devel, libX11-devel
BuildRequires: libXext-devel, libXinerama-devel, libXrandr-devel, libXrender-devel
BuildRequires: libXcursor-devel

Requires: startup-notification >= 0.7
Requires: redhat-artwork >= 0.62
Requires: pkgconfig

Requires(pre): GConf2 >= 2.14
Requires(post): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14

Patch1: clear-allowed-actions.patch
Patch2: metacity-2.16.0-losing-focus.patch
Patch3: metacity-2.16.0-currenttime-fixes.patch
Patch4: guint32-time.patch
Patch5: metacity-2.16.0-dont-move-windows.patch
Patch6: metacity-2.16.0-override-colors.patch
Patch7: metacity-2.16.0-iconified-window.patch
Patch8: metacity-2.16.0-crossing-events.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=567528
# https://bugzilla.redhat.com/show_bug.cgi?id=537023
Patch9: Allow-explicit-raises-from-same-client-not-just-sa.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=358514
# https://bugzilla.redhat.com/show_bug.cgi?id=537024
Patch10: metacity-2.16-error-trap.patch

%description

Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%prep
%setup -q -n %{metacity_filename}

%patch2 -p0 -b .losing-focus
%patch3 -p1 -b .currenttime-fixes
%patch1 -p1 -b .clear-allowed-actions
%patch4 -p1 -b .guint32-time
%patch5 -p1 -b .dont-move-windows
# %patch6 -p1 -b .override-colors  # Related to bug 184337
%patch7 -p0 -b .iconified-window
%patch8 -p1 -b .crossing-events
%patch9 -p1 -b .raises-from-same-client
%patch10 -p1 -b .error-trap

%build
rm -rf $RPM_BUILD_ROOT

CPPFLAGS="$CPPFLAGS -I$RPM_BUILD_ROOT%{_includedir}"
export CPPFLAGS

autoreconf

%configure

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_XINERAMA HAVE_XFREE_XINERAMA HAVE_SHAPE HAVE_RANDR HAVE_STARTUP_NOTIFICATION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

make CPPFLAGS="$CPPFLAGS" LIBS="$LIBS"

%install
#rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null || :

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null || :
fi

%preun 
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt doc/metacity-theme.dtd
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/gnome/wm-properties/metacity.desktop
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/metacity
%{_datadir}/themes
%{_includedir}/*
%{_libdir}/lib*.so*
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_mandir}/man1/*

%changelog
* Tue Nov 17 2009 Owen Taylor <otaylor@redhat.com> - 2.16.0-12.1
- Add patch to allow the focused client to raise any of its windows,
  not just windows in the same group.
  Resolves: bug 537023
- Add patch to trap errors fixing BadWindow when closing windows
  Resolves: bug 537024

* Sat Sep 6 2008 Soren Sandmann <sandmann@redhat.com> - 2.16.0-12
- Add patch to drop the grab on the focused window in click-to-focus
  mode without click to raise. Bug 442769

* Sat Sep 6 2008 Soren Sandmann <sandmann@redhat.com>
- Add patch to make sure iconified apps start up iconified. Bug 423451.

* Thu Jul 2 2008 Soren Sandmann <sandmann@redhat.com> - 2.16.0-11
- Add metacity-2.16.0-override-colors.patch, but don't apply it yet.
  It is related to #184337

* Mon Apr 14 2008 Christopher Aillon <caillon@redhat.com> - 2.16.0-10
- Add patch from GNOME bug 482354 to keep apps from jumping workspaces

* Tue Dec 11 2007 Soren Sandmann <sandmann@redhat.com> - 2.16.0-9
- Add patch from http://bugzilla.gnome.org/show_bug.cgi?id=348305 to fix
  https://bugzilla.redhat.com/show_bug.cgi?id=220283. Basically a big 
  s/Time/guint32/ due to braindamage in Xlib.

* Wed Nov 16 2006 Soren Sandmann <sandmann@redhat.com> - 2.16.0-8
- Add patch to clear allowed actions. Hack for bug 214366.

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-7
- Align scripts with packaging guidelines

* Tue Oct 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-6
- Add missing Requires (#203813)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 2.16.0-5
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 Soren Sandmann <sandmann@redhat.com> - 2.16.0-4.fc6
- Build

* Fri Sep 21 2006 Soren Sandmann <sandmann@redhat.com>
- Remove GL dependencies.
- Remove static-cm patch
- add patch to fix more CurrentTime race conditions (bug 206263)

* Thu Sep 14 2006 Ray Strode <rstrode@redhat.com> - 2.16.0-3.fc6
- remove stale ctrl-alt-delete patch

* Sat Sep  9 2006 Soren Sandmann <sandmann@redhat.com> - 2.16.0-2.fc6
- Add patch from Elijah that may fix bug 204519

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.34-1.fc6
- Update to 2.15.34
- Require pkgconfig, since we installing a .pc file

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.21-1.fc6
- Update to 2.15.21
- Uninstall gconf schemas in %%preun

* Mon Aug 7 2006 Soren Sandmann <sandmann@redhat.com> - 2.15.13-2
- Remove leftover snapshot string.

* Mon Aug 7 2006 Soren Sandmann <sandmann@redhat.com> - 2.15.13-1
- Update to 2.15.13. Disable compositing manager.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.5-6.1
- rebuild

* Tue Jun 13 2006 Michael J. Knox <michael[AT]knox.net.nz> - 2.15.5-6
- remove BR on automake14, use current automake instead

* Tue Jun 6 2006 Soren Sandmann <sandmann@redhat.com> 2.15.5-5
- Update to new tarball with different intltool magic in it.

* Tue Jun 6 2006 Soren Sandmann <sandmann@redhat.com> 2.15.5-4
- Update intltool BuildRequires to 0.35

* Fri Jun 2 2006 Soren Sandmann <sandmann@redhat.com> 2.15.5-2
- Update intltool BuildRequires to 0.34.90

* Thu Jun 1 2006 Soren Sandmann <sandmann@redhat.com> 2.15.5-1
- Update metacity to a cvs snapshot, and libcm 0.0.22. (The standalone
  libcm package is being put through the package review process). 

* Tue May 30 2006 Kristian Høgsberg <krh@redhat.com> 2.15.3-4
- Bump for rawhide build.

* Mon May 29 2006 Kristian Høgsberg <krh@redhat.com> - 2.15.3-3
- Bump libGL build requires so libcm picks up the right tfp tokens.

* Thu May 18 2006 Soren Sandmann <sandmann@redhat.com> 2.15.3-2
- Update libcm to 0.0.21

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> 2.15.3-1
- Update to 2.15.3

* Fri May 12 2006 Adam Jackson <ajackson@redhat.com> 2.15.2-2
- Update protocol dep to 7.0-13 for final EXT_tfp enums, and rebuild.

* Thu May 11 2006 Soren Sandmann <sandmann@redhat.com> 2.15.2-1
- Update to metacity 2.15.2

* Tue Apr 18 2006 Kristian Høgsberg <krh@redhat.com> 2.15.0-6
- Bump for fc5-bling build.

* Thu Apr 13 2006 Soren Sandmann <sandmann@redhat.com> 2.15.0-5
- Update to libcm 0.0.19

* Wed Apr 12 2006 Kristian Høgsberg <krh@redhat.com> 2.15.0-4
- Bump for fc5-bling rebuild.

* Thu Apr 6 2006 Soren Sandmann <sandmann@redhat.com> - 2.16.0-3
- Bump libcm to 0.0.18.

* Mon Apr  3 2006 Soren Sandmann <sandmann@redhat.com> - 2.15.0-2
- Fix leftover libcm-snapshot-date, buildrequire libXcomposite-devel >= 0.3

* Fri Mar 31 2006 Soren Sandmann <sandmann@redhat.com> - 2.15.0
- Update to 2.15.0

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- update to 2.14.0

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.144-1
- update to 2.13.144
- add bling patch from HEAD

* Sun Feb 19 2006 Ray Strode <rstrode@redhat.com> - 2.13.89.0.2006.02.17-2
- disable compositor on s390 s390x and ppc64

* Fri Feb 17 2006 Ray Strode <rstrode@redhat.com> - 2.13.89.0.2006.02.17-1
- Update to latest cvs snapshot to give meaningful failure error
  messages
- Don't remove build root in install, because it triggers a
  rebuild of metacity

* Thu Feb 16 2006 Ray Strode <rstrode@redhat.com> - 2.13.89.0.2006.02.16-1
- Update to cvs snapshot to add the ability to 
  runtime enable compositor
- change %%makeinstall to make install DESTDIR=..

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.89-1
- Update to 2.13.89

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.55-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.55-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.13.55-1
- Update to 2.13.55

* Thu Jan 26 2006 Matthias Clasen <mclasen@redhat.com> 2.13.34-1
- Update to 2.13.34

* Mon Jan 16 2006 Ray Strode <rstrode@redhat.com> 2.13.21-1
- Update to 2.13.21

* Fri Jan 13 2006 Matthias Clasen <mclasen@redhat.com> 2.13.13-1
- Update to 2.13.13

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> 2.13.8-1
- Update to 2.13.8

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 2.13.5-1
- Update to 2.13.5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  1 2005 Matthias Clasen <mclasen@redhat.com> 2.13.3-1
- Update to 2.13.3

* Mon Nov 21 2005 Ray Strode <rstrode@redhat.com> 2.13.2-1
- Update to 2.13.2

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com>
- remove references to obsolete X11R6 paths

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> 2.12.1-1
- Update to 2.12.1

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-1
- Update to 2.12.0

* Thu Sep  1 2005 Ray Strode <rstrode@redhat.com> 2.11.2-3
- truncate long window titles to 512 characters (bug 164071)

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> 2.11.2-2
- rebuild for new cairo

* Tue Aug  9 2005 Ray Strode <rstrode@redhat.com> 2.11.2-1
- Update to 2.11.2 (fixes bug 163745)

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 2.11.1-1
- New upstream version

* Mon Jul 18 2005 Matthias Clasen <mclasen@redhat.com> 2.11.0-3
- fix xcursor detection

* Wed Jul 13 2005 Matthias Clasen <mclasen@redhat.com> 2.11.0-1
- newer upstream version

* Mon May 30 2005 Warren Togami <wtogami@redhat.com> 2.10.0-2
- raise demands attention (#157271 newren)

* Sun Apr  3 2005 Ray Strode <rstrode@redhat.com> 2.10.0-1
- Update to 2.10.0

* Thu Mar 17 2005 Matthias Clasen <mclasen@redhat.com> 2.9.21-2
- Switch to Clearlooks as default theme

* Mon Feb 28 2005 Matthias Clasen <mclasen@redhat.com> 2.9.21-1
- Update to 2.9.21

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 2.9.13-1
- Update to 2.9.13

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> 2.9.8-1
- Update to 2.9.8

* Sat Oct 16 2004 Havoc Pennington <hp@redhat.com> 2.8.6-2
- remove all the rerunning of autotools, intltool, etc. cruft; seemed to be breaking build

* Fri Oct 15 2004 Havoc Pennington <hp@redhat.com> 2.8.6-1
- upgrade to 2.8.6, fixes a lot of focus bugs primarily.

* Fri Oct 15 2004 Soren Sandmann <sandmann@redhat.com> - 2.8.5-3
- Kludge around right alt problem (#132379)

* Mon Oct 11 2004 Alexander Larsson <alexl@redhat.com> - 2.8.5-2
- Require startup-notification 0.7 (without this we'll crash)

* Thu Sep 23 2004 Alexander Larsson <alexl@redhat.com> - 2.8.5-1
- update to 2.8.5

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.8.4-1
- update to 2.8.4

* Tue Aug 24 2004 Warren Togami <wtogami@redhat.com> 2.8.3-1
- update to 2.8.3

* Thu Aug  5 2004 Mark McLoughlin <markmc@redhat.com> 2.8.2-1
- Update to 2.8.2
- Remove systemfont patch - upstream now

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  6 2004 Havoc Pennington <hp@redhat.com> 2.8.1-2
- fix mangled Summary

* Thu May  6 2004 Havoc Pennington <hp@redhat.com> 2.8.1-1
- 2.8.1

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.8.0-1
- update to 2.8.0

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.7.1-1
- Update to 2.7.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.7.0-1
- update to 2.7.0
- removed reduced resouces patch (its now upstream)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 27 2003 Havoc Pennington <hp@redhat.com> 2.6.3-1
- 2.6.3

* Wed Oct  1 2003 Havoc Pennington <hp@redhat.com> 2.6.2-1
- 2.6.2

* Thu Sep  4 2003 Havoc Pennington <hp@redhat.com> 2.5.3-3
- put reduced resources patch back in

* Fri Aug 22 2003 Elliot Lee <sopwith@redhat.com> 2.5.3-2
- Work around libXrandr need for extra $LIBS

* Fri Aug 15 2003 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- update for gnome 2.3

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 2.4.55-7
- rebuild

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 2.4.55-6
- backport the "reduced_resources" patch with wireframe

* Mon Jul 07 2003 Christopher Blizzard <blizzard@redhat.com> 2.4.55-4
- add patch to fix mouse down problems in mozilla

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 29 2003 Havoc Pennington <hp@redhat.com> 2.4.55-2
- rebuild

* Thu May 29 2003 Havoc Pennington <hp@redhat.com> 2.4.55-1
- 2.4.55

* Wed May 14 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add proper ldconfig calls for shared libs

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Havoc Pennington <hp@redhat.com> 2.4.34-2
- fix a crash in multihead situations, #84412

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.4.34-1
- 2.4.34
- try disabling smp_mflags and see if it fixes build

* Wed Jan 22 2003 Havoc Pennington <hp@redhat.com>
- 2.4.21.90 with a bunch o' fixes

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 16 2003 Havoc Pennington <hp@redhat.com>
- bind Ctrl+Alt+Del to logout, #72973

* Wed Jan 15 2003 Havoc Pennington <hp@redhat.com>
- 2.4.13.90 cvs snap with event queue lag fix

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- 2.4.13

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- 2.4.8

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.4.5.90
- add little script after configure that checks what config.h
  contains, to be sure we detected all the right features.

* Tue Oct 29 2002 Havoc Pennington <hp@redhat.com>
- 2.4.3
- remove patches that have gone upstream

* Tue Aug 27 2002 Havoc Pennington <hp@redhat.com>
- fix shaded window decorations in Bluecurve theme

* Sat Aug 24 2002 Havoc Pennington <hp@redhat.com>
- fix the mplayer-disappears-on-de-fullscreen bug

* Sat Aug 24 2002 Havoc Pennington <hp@redhat.com>
- add some fixes from CVS for #71163 #72379 #72478 #72513

* Thu Aug 22 2002 Havoc Pennington <hp@redhat.com>
- patch .schemas.in instead of .schemas so we get right default theme/fonts

* Tue Aug 20 2002 Havoc Pennington <hp@redhat.com>
- grow size of top resize, and display proper cursor on enter notify
- require latest intltool to try and fix metacity.schemas by
  regenerating it in non-UTF-8 locale

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- default to Sans Bold font, fixes #70920 and matches graphic design spec

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- 2.4.0.91 with raise/lower keybindings for msf, fixes to fullscreen
- more apps that probably intend to be, fix for changing number of
  workspaces, fix for moving windows in multihead

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- update build requires

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- upgrade to cvs snap 2.4.0.90 with pile of bugfixes from 
  this weekend
- change default theme to bluecurve and require new redhat-artwork

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.4.0
- themes are moved, require appropriate redhat-artwork

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- munge the desktop file to be in toplevel menus and 
  not show in KDE

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- don't use system font by default as metacity's 
  font is now in the system font dialog

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987.92 cvs snap

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987.91 cvs snap

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987.90 cvs snap

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libraries

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987
- default to redhat theme

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 2.3.610.90 cvs snap

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 2.3.377

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.233

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add gconf schemas boilerplate

* Mon Apr 15 2002 Havoc Pennington <hp@pobox.com>
- 2.3.89

* Tue Oct 30 2001 Havoc Pennington <hp@redhat.com>
- 2.3.34

* Fri Oct 13 2001 Havoc Pennington <hp@redhat.com>
- 2.3.21 

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- 2.3.8
- 2.3.13

* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


